Package org.eclipse.m2m.atl.engine.vm

# Class ACTInterpreterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.m2m.atl.engine.vm.ACTInterpreterException

All Implemented Interfaces:
  `Serializable`

public class ACTInterpreterException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ACTInterpreterException()`
`ACTInterpreterException(String arg0)`
`ACTInterpreterException(String arg0, Throwable arg1)`
`ACTInterpreterException(Throwable arg0)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ACTInterpreterException

public ACTInterpreterException()

### ACTInterpreterException

public ACTInterpreterException(String arg0)

### ACTInterpreterException

public ACTInterpreterException(Throwable arg0)

### ACTInterpreterException

public ACTInterpreterException(String arg0, Throwable arg1)